%define oname pxlib
Name: libpx
Version: 0.6.1
Release: alt0.1

Summary: A library to read Paradox DB files

License: GPL v2
Group: System/Libraries
Url: http://pxlib.sourceforge.net/

Source: http://dl.sourceforge.net/%oname/%oname-%version.tar.bz2

# Automatically added by buildreq on Thu Feb 09 2006
BuildRequires: OpenSP docbook-dtds docbook-style-dsssl docbook-utils gcc-c++ glib2-devel libgsf-devel libstdc++-devel openjade perl-SGMLSpm perl-XML-Parser pkg-config sgml-common xml-common

%description
pxlib is a simply and still small C library to read Paradox DB files.
It supports all versions starting from 3.0. It currently has a very
limited set of functions like to open a DB file, read its header and
read every single record.

%package devel
Summary: Header files for pxlib
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for pxlib.

%prep
%setup -q -n %oname-%version

%build
# man pages are build by docbook2man
%__subst 's#mv PXLIB.3 pxlib.3##g' doc/Makefile*
%__subst 's#docbook-to-man#docbook2man#g' configure*
%__subst 's#docbook-to-man $<.*#docbook2man $<#g' doc/Makefile*
for man in doc/*.sgml; do
	name=$(basename "$man" .sgml)
	sed -i -e "s#$name#$name#gi" $man
done

CPPFLAGS="$(pkg-config glib-2.0 --cflags)"
%configure \
	--with-gsf \
	--disable-static
%make

%install
%make_install install \
	DESTDIR=%buildroot

%find_lang %oname

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files -f %oname.lang
%doc AUTHORS ChangeLog doc/*.txt
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*.h
%_pkgconfigdir/*.pc
%_man3dir/*

%changelog
* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.1-alt0.1
- new version 0.6.1 (with rpmrb script)

* Thu Feb 09 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.0-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)

